diff --git a/fc-solve/source/fcc_brfs.h b/fc-solve/source/fcc_brfs.h
index 41cbbd7c3..3fce17b9b 100644
--- a/fc-solve/source/fcc_brfs.h
+++ b/fc-solve/source/fcc_brfs.h
@@ -14,7 +14,8 @@
 #pragma once
 
 #ifdef __cplusplus
-extern "C" {
+extern "C"
+{
 #endif
 
 #include <assert.h>
@@ -29,122 +30,124 @@ extern "C" {
 #include "dbm_solver.h"
 #include "dbm_calc_derived.h"
 
-typedef struct fcs_FCC_start_point_struct
-{
-    fcs_encoded_state_buffer_t enc_state;
-    fcs_fcc_moves_seq_t moves_seq;
-    struct fcs_FCC_start_point_struct *next;
-} fcs_FCC_start_point_t;
+    typedef struct fcs_FCC_start_point_struct
+    {
+        fcs_encoded_state_buffer_t enc_state;
+        fcs_fcc_moves_seq_t moves_seq;
+        struct fcs_FCC_start_point_struct *next;
+    } fcs_FCC_start_point_t;
 
-typedef struct
-{
-    fcs_FCC_start_point_t *list;
-    fcs_compact_allocator_t allocator;
-    fcs_FCC_start_point_t *recycle_bin;
-} fcs_FCC_start_points_list_t;
+    typedef struct
+    {
+        fcs_FCC_start_point_t *list;
+        fcs_compact_allocator_t allocator;
+        fcs_FCC_start_point_t *recycle_bin;
+    } fcs_FCC_start_points_list_t;
 
-static int fc_solve_compare_encoded_states(const void *const void_a,
-    const void *const void_b, void *const context GCC_UNUSED)
-{
+    static int fc_solve_compare_encoded_states(const void *const void_a,
+        const void *const void_b, void *const context GCC_UNUSED)
+    {
 #define GET_PARAM(p) ((const fcs_encoded_state_buffer_t *)p)
-    return memcmp(
-        GET_PARAM(void_a), GET_PARAM(void_b), sizeof(*(GET_PARAM(void_a))));
+        return memcmp(
+            GET_PARAM(void_a), GET_PARAM(void_b), sizeof(*(GET_PARAM(void_a))));
 #undef GET_PARAM
-}
-
-static inline void fc_solve_fcc_release_moves_seq(
-    fcs_fcc_moves_seq_t *const moves_seq,
-    fcs_fcc_moves_seq_allocator_t *const moves_list_allocator)
-{
-    fcs_fcc_moves_list_item_t *iter = moves_seq->moves_list;
-    fcs_fcc_moves_list_item_t *iter_next;
+    }
 
-    if (iter)
+    static inline void fc_solve_fcc_release_moves_seq(
+        fcs_fcc_moves_seq_t *const moves_seq,
+        fcs_fcc_moves_seq_allocator_t *const moves_list_allocator)
     {
-        for (iter_next = iter->next; iter_next;
-             iter = iter_next, iter_next = iter_next->next)
+        fcs_fcc_moves_list_item_t *iter = moves_seq->moves_list;
+        fcs_fcc_moves_list_item_t *iter_next;
+
+        if (iter)
         {
+            for (iter_next = iter->next; iter_next;
+                 iter = iter_next, iter_next = iter_next->next)
+            {
+                iter->next = moves_list_allocator->recycle_bin;
+                moves_list_allocator->recycle_bin = iter;
+            }
+            /* Fix for a leak - iter is still defined, and needs
+             * to be recycled.
+             * */
             iter->next = moves_list_allocator->recycle_bin;
             moves_list_allocator->recycle_bin = iter;
         }
-        /* Fix for a leak - iter is still defined, and needs
-         * to be recycled.
-         * */
-        iter->next = moves_list_allocator->recycle_bin;
-        moves_list_allocator->recycle_bin = iter;
+        moves_seq->moves_list = NULL;
+        moves_seq->count = -1;
     }
-    moves_seq->moves_list = NULL;
-    moves_seq->count = -1;
-}
-
-static inline void fc_solve__internal__copy_moves(
-    fcs_fcc_moves_seq_t *const moves_seq, int *const ptr_to_pos_in_moves,
-    fcs_fcc_moves_list_item_t ***const ptr_to_end_moves_iter,
-    const unsigned char extra_move,
-    fcs_fcc_moves_seq_allocator_t *const moves_list_allocator)
-{
-    int pos_in_moves = *ptr_to_pos_in_moves;
-    var_AUTO(end_moves_iter, *ptr_to_end_moves_iter);
-    const fcs_fcc_moves_list_item_t *copy_from_iter = moves_seq->moves_list;
-    const_SLOT(count, moves_seq);
 
-    for (int copy_from_idx = 0; copy_from_idx < count;)
+    static inline void fc_solve__internal__copy_moves(
+        fcs_fcc_moves_seq_t *const moves_seq, int *const ptr_to_pos_in_moves,
+        fcs_fcc_moves_list_item_t ***const ptr_to_end_moves_iter,
+        const unsigned char extra_move,
+        fcs_fcc_moves_seq_allocator_t *const moves_list_allocator)
     {
+        int pos_in_moves = *ptr_to_pos_in_moves;
+        var_AUTO(end_moves_iter, *ptr_to_end_moves_iter);
+        const fcs_fcc_moves_list_item_t *copy_from_iter = moves_seq->moves_list;
+        const_SLOT(count, moves_seq);
+
+        for (int copy_from_idx = 0; copy_from_idx < count;)
+        {
+            if (pos_in_moves % FCS_FCC_NUM_MOVES_IN_ITEM == 0)
+            {
+                (*end_moves_iter) =
+                    fc_solve_fcc_alloc_moves_list_item(moves_list_allocator);
+            }
+            (*end_moves_iter)
+                ->data.s[pos_in_moves % FCS_FCC_NUM_MOVES_IN_ITEM] =
+                copy_from_iter->data
+                    .s[copy_from_idx % FCS_FCC_NUM_MOVES_IN_ITEM];
+            if ((++pos_in_moves) % FCS_FCC_NUM_MOVES_IN_ITEM == 0)
+            {
+                end_moves_iter = &((*end_moves_iter)->next);
+            }
+            if ((++copy_from_idx) % FCS_FCC_NUM_MOVES_IN_ITEM == 0)
+            {
+                copy_from_iter = copy_from_iter->next;
+            }
+        }
+
+        /* Append the remaining moves. */
         if (pos_in_moves % FCS_FCC_NUM_MOVES_IN_ITEM == 0)
         {
             (*end_moves_iter) =
                 fc_solve_fcc_alloc_moves_list_item(moves_list_allocator);
         }
-        (*end_moves_iter)->data.s[pos_in_moves % FCS_FCC_NUM_MOVES_IN_ITEM] =
-            copy_from_iter->data.s[copy_from_idx % FCS_FCC_NUM_MOVES_IN_ITEM];
-        if ((++pos_in_moves) % FCS_FCC_NUM_MOVES_IN_ITEM == 0)
-        {
-            end_moves_iter = &((*end_moves_iter)->next);
-        }
-        if ((++copy_from_idx) % FCS_FCC_NUM_MOVES_IN_ITEM == 0)
-        {
-            copy_from_iter = copy_from_iter->next;
-        }
+        (*end_moves_iter)
+            ->data.s[(pos_in_moves++) % FCS_FCC_NUM_MOVES_IN_ITEM] = extra_move;
+
+        *ptr_to_pos_in_moves = pos_in_moves;
+        *ptr_to_end_moves_iter = end_moves_iter;
     }
 
-    /* Append the remaining moves. */
-    if (pos_in_moves % FCS_FCC_NUM_MOVES_IN_ITEM == 0)
+    static inline dict_t *fcc_brfs_kaz_tree_create(
+        fcs_meta_compact_allocator_t *const meta_alloc,
+        void **const tree_recycle_bin)
     {
-        (*end_moves_iter) =
-            fc_solve_fcc_alloc_moves_list_item(moves_list_allocator);
+        return fc_solve_kaz_tree_create(fc_solve_compare_encoded_states, NULL,
+            meta_alloc, tree_recycle_bin);
     }
-    (*end_moves_iter)->data.s[(pos_in_moves++) % FCS_FCC_NUM_MOVES_IN_ITEM] =
-        extra_move;
-
-    *ptr_to_pos_in_moves = pos_in_moves;
-    *ptr_to_end_moves_iter = end_moves_iter;
-}
 
-static inline dict_t *fcc_brfs_kaz_tree_create(
-    fcs_meta_compact_allocator_t *const meta_alloc,
-    void **const tree_recycle_bin)
-{
-    return fc_solve_kaz_tree_create(
-        fc_solve_compare_encoded_states, NULL, meta_alloc, tree_recycle_bin);
-}
-
-static inline void fcc_brfs_add_key_to_tree(
-    dict_t *const tree, const fcs_encoded_state_buffer_t *const val)
-{
-    fcs_encoded_state_buffer_t *key_to_add =
-        fcs_compact_alloc_ptr(&(tree->dict_allocator), sizeof(*key_to_add));
-    *key_to_add = *val;
-    fc_solve_kaz_tree_alloc_insert(tree, key_to_add);
-}
+    static inline void fcc_brfs_add_key_to_tree(
+        dict_t *const tree, const fcs_encoded_state_buffer_t *const val)
+    {
+        fcs_encoded_state_buffer_t *key_to_add =
+            fcs_compact_alloc_ptr(&(tree->dict_allocator), sizeof(*key_to_add));
+        *key_to_add = *val;
+        fc_solve_kaz_tree_alloc_insert(tree, key_to_add);
+    }
 
-static void perform_FCC_brfs(const fcs_dbm_variant_type_t local_variant,
-    /* The first state in the game, from which all states are encoded. */
-    fcs_state_keyval_pair_t *init_state,
-    /* The start state. */
-    fcs_encoded_state_buffer_t start_state,
-    /* The moves leading up to the state.
-     * */
-    const fcs_fcc_moves_seq_t *const start_state_moves_seq,
+    static void perform_FCC_brfs(const fcs_dbm_variant_type_t local_variant,
+        /* The first state in the game, from which all states are encoded. */
+        fcs_state_keyval_pair_t *init_state,
+        /* The start state. */
+        fcs_encoded_state_buffer_t start_state,
+        /* The moves leading up to the state.
+         * */
+        const fcs_fcc_moves_seq_t *const start_state_moves_seq,
 #if 0
     /* [Output]: FCC start points.
      * */
